Bug 962254 - alternative harness API gives 500 response when reporting a result for a finished task
alternative harness API gives 500 response when reporting a result for a fini...
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.12
Unspecified Unspecified
high Severity unspecified (vote)
: 0.13
: ---
Assigned To: Dan Callaghan
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 21:38 EDT by Dan Callaghan
Modified: 2013-06-25 02:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 02:27:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-05-12 21:38:35 EDT
The alternative harness API gives a 500 error response when reporting a result for a finished task. It should be a 409 instead.

http://article.gmane.org/gmane.comp.systems.beaker.devel/540
Comment 1 Dan Callaghan 2013-05-29 03:02:57 EDT
On Gerrit: http://gerrit.beaker-project.org/1989
Comment 5 Amit Saha 2013-06-25 02:27:20 EDT
Beaker 0.13.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.